udftools

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Classes | Macros | Functions | Variables
wrudf-cdrw.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <string.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <sys/stat.h>`
`#include <sys/ioctl.h>`
`#include <linux/cdrom.h>`
`#include "wrudf.h"`
`#include "ide-pc.h"`
`#include "bswap.h"`
Include dependency graph for wrudf-cdrw.c:

Go to the source code of this file.

## Classes
struct | packetbuf

## Macros
#define | MAXPKTBUFS 4

## Functions
struct packetbuf * | findBuf (uint32_t blkno)
int | readPacket (struct packetbuf *pb)
int | writePacket (struct packetbuf *pb)
void | markBlock (enum markAction action, uint32_t blkno)
int | getExtents (uint32_t requestedLength, short_ad *extents)
int | freeShortExtents (short_ad *extents)
int | freeLongExtents (long_ad *extents)
void | getUnallocSpaceExtent (uint32_t requestLength, uint32_t requestAfter, extent_ad *alloc)
void | setChecksum (void *descriptor)
void | updateTimestamp (time_t t, uint32_t ut)
void | setStrictRead (int yes)
uint32_t | getPhysical (uint32_t lbn, uint16_t part)
int | cmpBlk (const void *a, const void *b)
uint32_t | lookupSparingTable (uint32_t original)
uint32_t | newSparingTableEntry (uint32_t original)
void | updateSparingTable ()
struct packetbuf * | getFreePacketBuffer (uint32_t lbn, uint16_t part)
void * | readBlock (uint32_t lbn, uint16_t part)
void * | readSingleBlock (uint32_t pbn)
void | freeBlock (uint32_t lbn, uint16_t part)
void | dirtyBlock (uint32_t lbn, uint16_t part)
void | writeBlock (uint32_t lbn, uint16_t part, void *src)
void * | readTaggedBlock (uint32_t lbn, uint16_t partition)
int | readExtents (char *dest, int usesShort, void *extents)
int | writeExtents (char *src, int usesShort, void *extents)
int | initIO (char *filename)
int | closeIO (void)

## Variables
int | lastTrack
struct cdrom_trackinfo | ti
struct read_error_recovery_params * | rerp
u_char * | rerp_buffer
struct cdrom_cacheparams * | cp
u_char * | cp_buffer
struct packetbuf | pktbuf [MAXPKTBUFS+1]
unsigned char * | verifyBuffer
unsigned char * | blockBuffer
uint32_t | trackStart
uint32_t | trackSize
int | sectortype

## Macro Definition Documentation

#define MAXPKTBUFS 4

Definition at line 40 of file wrudf-cdrw.c.

## Function Documentation

int closeIO | ( | void |  | ) |

Definition at line 927 of file wrudf-cdrw.c.

int cmpBlk | ( | const void * | a,
|  | const void * | b
| ) |  |

Definition at line 298 of file wrudf-cdrw.c.

void dirtyBlock | ( | uint32_t | lbn,
|  | uint16_t | part
| ) |  |

Definition at line 610 of file wrudf-cdrw.c.

struct packetbuf * findBuf | ( | uint32_t | blkno | ) |

Definition at line 495 of file wrudf-cdrw.c.

void freeBlock | ( | uint32_t | lbn,
|  | uint16_t | part
| ) |  |

Definition at line 592 of file wrudf-cdrw.c.

int freeLongExtents | ( | long_ad * | extents | ) |

Definition at line 176 of file wrudf-cdrw.c.

int freeShortExtents | ( | short_ad * | extents | ) |

Definition at line 159 of file wrudf-cdrw.c.

int getExtents | ( | uint32_t | requestedLength,
|  | short_ad * | extents
| ) |  |

Definition at line 98 of file wrudf-cdrw.c.

struct packetbuf* getFreePacketBuffer | ( | uint32_t | lbn,
|  | uint16_t | part
| ) |  |

Definition at line 509 of file wrudf-cdrw.c.

uint32_t getPhysical | ( | uint32_t | lbn,
|  | uint16_t | part
| ) |  |

Definition at line 290 of file wrudf-cdrw.c.

void getUnallocSpaceExtent | ( | uint32_t | requestLength,
|  | uint32_t | requestAfter,
|  | extent_ad * | alloc
| ) |  |

Definition at line 198 of file wrudf-cdrw.c.

int initIO | ( | char * | filename | ) |

Definition at line 779 of file wrudf-cdrw.c.

uint32_t lookupSparingTable | ( | uint32_t | original | ) |

Definition at line 309 of file wrudf-cdrw.c.

void markBlock | ( | enum markAction | action,
|  | uint32_t | blkno
| ) |  |

Definition at line 74 of file wrudf-cdrw.c.

uint32_t newSparingTableEntry | ( | uint32_t | original | ) |

Definition at line 326 of file wrudf-cdrw.c.

void* readBlock | ( | uint32_t | lbn,
|  | uint16_t | part
| ) |  |

Definition at line 543 of file wrudf-cdrw.c.

int readExtents | ( | char * | dest,
|  | int | usesShort,
|  | void * | extents
| ) |  |

Definition at line 684 of file wrudf-cdrw.c.

int readPacket | ( | struct packetbuf * | pb | ) |

Definition at line 411 of file wrudf-cdrw.c.

void* readSingleBlock | ( | uint32_t | pbn | ) |

Definition at line 564 of file wrudf-cdrw.c.

void* readTaggedBlock | ( | uint32_t | lbn,
|  | uint16_t | partition
| ) |  |

Definition at line 639 of file wrudf-cdrw.c.

void setChecksum | ( | void * | descriptor | ) |

Definition at line 229 of file wrudf-cdrw.c.

void setStrictRead | ( | int | yes | ) |

Definition at line 270 of file wrudf-cdrw.c.

void updateSparingTable | ( |  | ) |

Definition at line 371 of file wrudf-cdrw.c.

void updateTimestamp | ( | time_t | t,
|  | uint32_t | ut
| ) |  |

Definition at line 243 of file wrudf-cdrw.c.

void writeBlock | ( | uint32_t | lbn,
|  | uint16_t | part,
|  | void * | src
| ) |  |

Definition at line 625 of file wrudf-cdrw.c.

int writeExtents | ( | char * | src,
|  | int | usesShort,
|  | void * | extents
| ) |  |

Definition at line 733 of file wrudf-cdrw.c.

int writePacket | ( | struct packetbuf * | pb | ) |

Definition at line 440 of file wrudf-cdrw.c.

## Variable Documentation

unsigned char* blockBuffer

Definition at line 59 of file wrudf-cdrw.c.

struct cdrom_cacheparams* cp

Definition at line 53 of file wrudf-cdrw.c.

u_char* cp_buffer

Definition at line 54 of file wrudf-cdrw.c.

int lastTrack

Definition at line 49 of file wrudf-cdrw.c.

struct packetbuf pktbuf[MAXPKTBUFS+1]

Definition at line 56 of file wrudf-cdrw.c.

struct read_error_recovery_params* rerp

Definition at line 51 of file wrudf-cdrw.c.

u_char* rerp_buffer

Definition at line 52 of file wrudf-cdrw.c.

int sectortype

Definition at line 63 of file wrudf-cdrw.c.

struct cdrom_trackinfo ti

Definition at line 50 of file wrudf-cdrw.c.

uint32_t trackSize

Definition at line 62 of file wrudf-cdrw.c.

uint32_t trackStart

Definition at line 61 of file wrudf-cdrw.c.

unsigned char* verifyBuffer

Definition at line 58 of file wrudf-cdrw.c.